
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>EJB3和Spring技术体系比较 / iVAN</title>

    <meta name="description" content="EJB3和Spring技术体系比较 随着EJB3规范以及支持EJB3的Java EE应用服务器的即将发布,全新Java EE体系架构的新 战争将拉开帷幕,在过去3年中如火如荼的Spring占据了Java EE应用开发基础平台的大半江 山,面对EJB3和Spring你应该如何选择呢? 作为一个架构师,我对EJB是既爱且恨,对Spring又恨又爱,现在我们来也把这两大技术 体系来做一个全面分析和对比,希望能给大家在进行技术选型时一个更好的参考. 1. 法制 VS &quot;民主&quot; EJB规范一直由国际组织JCP来制定,一经 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">EJB3和Spring技术体系比较</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>随着EJB3规范以及支持EJB3的Java EE应用服务器的即将发布，全新Java EE体系架构的新 战争将拉开帷幕，在过去3年中如火如荼的Spring占据了Java EE应用开发基础平台的大半江 山，面对EJB3和Spring你应该如何选择呢？</p>
<p>作为一个架构师，我对EJB是既爱且恨，对Spring又恨又爱，现在我们来也把这两大技术 体系来做一个全面分析和对比，希望能给大家在进行技术选型时一个更好的参考。</p>
<p>1. 法制 VS “民主”</p>
<p>EJB规范一直由国际组织JCP来制定，一经通过，即作为官方标准，且各厂商都会不遗余力 的推动，所以对于企业应用来说，EJB就是法，以EJB为企业应用的基础架构暂且称为法治； Spring来自开源社区，由众多的开源软件开发者参与，逐步形成的一种流行的体系标准，它 的设计以IoC(反转控制)为核心，提倡所谓的“零”侵入设计原则，这里暂且称之为民主。</p>
<p>支持EJB的应用服务器一般是一个大而全的产品，包括了构建企业应用需要的方方面面， 如果需要额外扩展一般不容易，如果对一个应用服务器不满意的话，那么可以且也只能更换 整个应用服务器了，好在由于应用服务器市场百花齐放，从免费到低端再到高端，您可以任 意选择；Spring从IoC容器发展而来，通过不断集成AOP、MVC、OR/Mapping以及几乎您能想到 的各项服务而提供完善的企业应用架。对于一个应用，你可以自由选择具体的技术框架的实 现，SSH就是最常用一套组合，然而且不说是否每个架构师拥有正确选择的能力，无论如何， 最终的选择在设计之初一旦确定，要想更换便不那么容易，你不可能轻松的将一个基于 Spring + Struts的应用轻松的移植到Spring + WebWork，更不能轻松的将一个基于Spring + Hibernate的应用轻松的移植到Spring + iBatis，所以对于需要长期维护和发展的应用来说 ，将只能寄希望于你采用的框架都能够很好的发展，并且能在升级的同时保证向前的兼容性 。</p>
<p>综上所述，EJB由于对于整个世界是标准的，就好像是一部国际法，一旦遵循，全球通用 ，你可以比较轻松的在WebSphere、WebLogic甚至 JBoss之间进行切换，所以如果选择EJB， 你将在一个”法制”的环境下获得最大的民主；而Spring对于整个世界看似民主的，然而一 旦整套架构确定下来，却成了专制，犹如美国式的民主，一旦被它征服，就成为它的专政统 治了，想挣脱它的控制可就不那么容易了，其中的利害，大家细细品味吧。</p>
<p>2. 轻量级组件 VS 轻量级内核 VS 轻量级容器</p>
<p>关于轻量级内核，不论属实是否，现今的应用服务器都宣称采用了微内核技术，在此基础 上建立Java EE的各项服务构建成完善的应用服务器；而Spring本身就是一个基于IoC的轻量 内核，然后通过集成第三方的服务器来提供完整的架构。</p>
<p>EJB组件曾经被认为是一个重量级的组件，而备受批评，EJB3规范的重要目标就是简化EJB 的开发，提供一个容器管理的轻量级的组件方案。</p>
<p>但是有必要提醒一下，轻量级的组件，并不意味着提供服务的容器是轻量的，不管是EJB2 还是EJB3，应用服务器因为需要管理组件的负责生命周期以及行为，并且内置提供了各项服 务，容器自然是一个重量级的服务；至少现在看来，现有的Application Server提供的容器 都还不足够的轻量，从个人偏好来说，我就非常喜欢JBoss 2.4这个版本，它有我需要的功能 ，同时又够简单，而现在，JBoss 4的启动速度已经逐渐让我对它对失去了耐心。</p>
<p>而对于Spring，也有同样的问题，轻量级的内核，也不意味着整个框架是轻量的，更不意 味着基于Spring的整个应用架构是轻量的。对于 Spring，你需要去寻找并粘合各种服务，然 后让他们能够稳定的在一起工作，如果应用对技术的需求较多，伸缩性要求也较高，你就会 不断的在应用服务中加入其他服务，如：资源池、消息队列、集群等。当加入这些后， Spring的解决方案已经和Java EE Application Server解决方案一样重量级了。</p>
<p>追求简单、轻量，是每一个应用架构的目标，对于企业应用的构建来说，轻量级组件标准 +轻量的内核+轻量级的容器，并以此构建轻量级的应用平台，才是最终需要的。如果有轻量 级的容器出现，将帮助EJB3在企业应用中重新占据有利的地位。</p>
<p>3. 可管理性与可控性</p>
<p>这个问题对于一次性交付的项目也许不是问题，但是对于质量要求更高、生命周期更长的 产品，却是衡量平台和架构的重要因素。</p>
<p>基于Spring架构的应用，由于过分的自由和灵活，随着项目的进展，逐渐集成的第三方框 架越来越多，很难保证集成的服务和编写的组件中有没有漏洞，甚至相互之间有严重的冲突 ，那么，掌控整个项目的质量成了难题，光是一页接一页的配置文件，就知道今后的维护成 本也就随之增高，回想一下EJB2.0时代的ejb-jar.xml吧；而EJB因为集成的都是标准服务， 而且组件模型也是固定的，加之应用服务器一般提供控制台，用来查看运行时的各项属性， 并可对服务进行实时的管理，显然比Spring开发的应用可控性更好。</p>
<p>4. 功能性对比4.1 IoC容器，AOP能力</p>
<p>在IoC的能力Spring要略强一些，但是在EJB3中可以完全用Annotation方式进行注入，在 开发上要简单很多，对于一些相对比较固定的注入，采用Annotation更好，而对于一些可能 需要经常变动的注入，XML更加灵活，EJB3刚好提供了这样的两种解决方案。如果你已经患有 XML恐惧症，那么EJB3无疑将给您以解脱。</p>
<p>同时，EJB3组件中，支持多种方式注入，比如依赖于名称、接口或者JNDI名，另外还支持 使用@PersistenceContext注入 EntityManager，@Resource注入服务器资源，如EJBContext 、TimerService等，而一些Annotation已经成为JDK6的一部分，将来可能直接被JDK支持。</p>
<p>AOP方面，如果您需要彻底的AOP，并且在Spring中集成了AspectJ，那么EJB3自然无法比 拟，但是如果您的项目以够用为原则，只需要一般方法拦截意义上的AOP，EJB3提供的各种回 调方法应该可以满足您的要求了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 18:42:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e4%bc%81%e4%b8%9a%e5%ba%94%e7%94%a8/" title="企业应用">企业应用</a>, <a href="https://www.iamivan.net/tag/spring/" title="spring">spring</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="应用服务器">应用服务器</a>, <a href="https://www.iamivan.net/tag/%e8%bd%bb%e9%87%8f%e7%ba%a7/" title="轻量级">轻量级</a>, <a href="https://www.iamivan.net/tag/weblogic-spring-%e5%86%b2%e7%aa%81/" title="weblogic spring 冲突">weblogic spring 冲突</a>, <a href="https://www.iamivan.net/tag/ejb3/" title="ejb3">ejb3</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>EJB3和Spring技术体系比较的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOm9KxM.html" rel="bookmark">&lbrack;转&rsqb; EJB 3和Spring技术体系比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习EJB 3,对于SSH与EJB3,一直不太明白&quot;即生瑜,何生亮?&quot;,今天无意看到一篇旧文,比较系统的对比了这二种技术架构,转载于此: 原文出处:http://www.51cto.com/specbook/223/46090.htm ------------------------------------------------------------------- 作为一个架构师,我对EJB是既爱且恨,对Spring又恨又爱,现在我们来也把这两大技术体系来做一个全面分析和对比			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGJlwb.html" rel="bookmark">《Spring技术内幕》&mdash;&mdash;1&period;2节Spring的设计目标</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.2 Spring的设计目标 如果我们要简要地描述Spring的设计目标,可以这么说,Spring为开发者提供的是一个一站式的轻量级应用开发框架(平台).作为平台,Spring抽象了我们在许多应用开发中遇到的共性问题:同时,作为一个轻量级的应用开发框架,Spring和传统的J2EE开发相比,有其自身的特点.通过这些自身的特点, Spring充分体现了它的设计理念:在Java EE的应用开发中,支持POJO和使用JavaBean的开发方式,使应用面向接口开发,充分支持OO(面向对象)的设计方法.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPLvDp.html" rel="bookmark">潘再生：智能制造的综合技术体系和中控方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				近日,2017 世界机器人大会人工智能与机器人青年创新创业专题论坛在京召开,本次论坛由中国电子学会-嵌入式系统与机器人分会主办,雅瑞资本.真格基金.立德共创承办,并由多家大学.创投机构.新型企业联合支持. 在下午的论坛主题演讲中,浙江中控集团研究院副院长潘再生以&lt;信息物理系统与智能工厂&gt;为题作了演讲. 以下为刘连庆演讲内容,雷锋网做了不改变原意的编辑: 信息物理系统 首先,信息物理系统是什么?信息物理系统从概念提出到现在已经有很多年了,这里面我简单地从一个地方摘取来的,从信息和物理这两个系统怎			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWgmvp.html" rel="bookmark">微服务实践：全栈小团队&OpenCurlyDoubleQuote;洪荒之力&rdquo;改造阿里服务CRM技术体系</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文不重点介绍业务系统,更偏重于经验分享.首先进行了业务介绍,接着和大家简单分享了微服务,着重和大家讲述了微服务的实践,包括微服务技术实践.微服务团队实践.DT下的微服务. 以下为内容整理: 作为全球最大的电商平台,阿里巴巴面对的是逾4亿的活跃消费者.上千万的活跃商家.几千种阿里自有产品和业务,以及每天上千万笔的交易.从这些天然交易闭环里,有极其丰富的数据,如何用技术来实现用户的&quot;One-Click&quot;和&quot;One-Stop&quot;的服务体验? 通过微服务架构的应用,我们重构			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW9gxp.html" rel="bookmark">加速深根技术土壤，建立全面技术体系，转变思路方式，引创潮流新作。。。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				加速深根技术土壤,建立全面技术体系,转变思路方式,引创潮流新作...			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYBo1Zp.html" rel="bookmark">工信部印发《太阳能光伏产业综合标准化技术体系》</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工业和信息化部办公厅关于印发&lt;太阳能光伏产业综合标准化技术体系&gt;的通知 工信厅科[2017]45号 各省.自治区.直辖市及计划单列市工业和信息化主管部门,相关行业协会.标准化机构和技术组织: 为进一步促进太阳能光伏产业的健康有序发展,大力提升标准对产业发展的指导.规范.引领和保障作用,我部组织制定了&lt;太阳能光伏产业综合标准化技术体系&gt;.现印发给你们,请结合实际,抓好贯彻落实. 附件:太阳能光伏产业综合标准化技术体系 工业和信息化部办公厅 2017年4月25日 (联系电话:010-6			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZ90lb.html" rel="bookmark">张新波 &vert; 十面埋伏 - 论大数据风控技术体系的构建</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2017.3.11,中生代技术嘉年华在上海盛大召开,6大主题.20话题,600多位小伙伴点燃现场,我们将会陆续将各话题整理发布,让大家共享这场技术盛筵. - 中生代技术嘉年华 - 张新波,同盾联合创始人&amp;技术VP,为大家带来&quot;十面埋伏 - 论大数据风控技术体系的构建&quot; 主题分享,欲听详情,点击现场视频 同一个成语 - 十面埋伏,不同的场景有不同的含义 经验总结: 规则的可视化编辑 规则变更时实时生效 不同的规则应对不同的风险等级 复杂场景需要针对性的高级功能 规则测试 多维度存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baKDGJp.html" rel="bookmark">三丰智能：技术体系完善，产品种类丰富</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				湖北三丰智能输送装备股份有限公司是国内最早从事智能输送成套设备研发设计.制造.安装调试与技术服务的企业之一,自成立以来不断丰富完善产品品种,提升产品技术含量,目前公司智能输送成套设备涵盖空中.地面输送两大类别,共11大系列.50余个品种.120余种规格,已形成较完备的产品体系,能满足不同行业客户个性化的智能输送要求. 公司拥有自行小车悬挂输送系统等核心产品的完整技术体系,形成了核心竞争优势.公司自主研发的&quot;单轨小车控制系统总线控制技术&quot;.&quot;双轨小车悬挂输送机&quot;和&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7KBoz.html" rel="bookmark">《Spring技术内幕》&mdash;&mdash;第一部分</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一部分 Spring核心实现篇 第2章 Spring Framework的核心:IoC容器的实现 第3章 Spring AOP的实现 本篇将对Spring的核心IoC容器和AOP的实现原理进行阐述.IoC容器和AOP是Spring的核心,它们是Spring系统中其他组件模块和应用开发的基础.通过这两个核心模块的设计和实现可以了解Spring倡导的对企业应用开发所应秉持的思路,比如使用POJO开发企业应用,提供一致的编程模型,强调对接口编程等.对于这些Spring背后的开发思想和设计理念,大家都			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgmWBz.html" rel="bookmark" class="title">VB&period;NET验证邮件地址的合法性实现代码</a>
					<div>
						一.提出问题 现在,对于用户在Web页面上或电话中给出的Email地址,我们越来越不敢肯定它是否真的有效.在今天这个垃圾邮件泛滥成灾的年代,人们完全有理由舍不得轻易透露Email地址. 另一方面,对于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvjn6M.html" rel="bookmark" class="title">用Photoshop为照片添加动感效果</a>
					<div>
						动感 仅仅抓拍到精彩的运动镜头却没有拍出运动员动感的效果,不免让人遗憾.这时我们可以借助Photoshop的模糊滤镜和一些小技巧为照片添加动感效果.图1 照片处理前照片处理完成效果 1.在Photos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrJ6WM.html" rel="bookmark" class="title">ASP代码编写标准</a>
					<div>
						标准 一.通用源代码格式规则1.1开发工具 推荐使用Microsoft?公司的VisualInterDev来书写ASP代码,使用Macromedia?公司的Dreamweaver来书写HTML代码,也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1g15z.html" rel="bookmark" class="title">c&num;下重写BUTTON控件</a>
					<div>
						控件 XPButton.cs代码 using System; using System.Windows; using System.Drawing; using System.Drawing.Draw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnRKlz.html" rel="bookmark" class="title">揭示同步块索引（上）：从lock开始</a>
					<div>
						大家都知道引用类型对象除实例字段的开销外,还有两个字段的开销:类型指针和同步块索引 (SyncBlockIndex).同步块索引这个东西比起它的兄弟类型指针更少受人关注,显得有点冷落,其实此 兄功力非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl29Pz.html" rel="bookmark" class="title">语言栏消失怎么办</a>
					<div>
						语言栏消失怎么办,弄得文字都无法正常输入,可以按照下面的方法试试: 1.开始-运行ctfmon回车. 2.控制面板-区域和语言选项-语言-详细信息,在&quot;高级&quot;里的两个勾都去掉,确定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrXv4p.html" rel="bookmark" class="title">用dreamweaver如何制作网页折叠菜单效果</a>
					<div>
						去过Microsoft的网站吗?(如图一)如果去过的话,那么你应该对这个站上面那条折叠式菜单的导航栏感到赞叹吧?你想过你也能够做出这样的效果吗?来吧,不用羡慕了,心动不如行动!   折叠式菜单实际上是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmRmmz.html" rel="bookmark" class="title">PhotoShop打造美女照片的素描效果</a>
					<div>
						先前曾介绍过将照片变成水彩画,接下来再继续来探讨素描风的作法,虽然透过滤镜一样可以模拟出素描风 格,其效果在水彩画时就提过,这边就不在多说,素描风也是经常被拿来使用,素描风的作法与水彩画差不多, 一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oRdkb.html" rel="bookmark" class="title">猎豹安全浏览器3&period;5beta版体验</a>
					<div>
						  猎豹安全浏览器,原名猎豹浏览器,是由金山网络推出的一款浏览器,主打安全与极速特性,采用Trident和WebKit双渲染引擎,并整合金山自家的BIPS进行安全防护.猎豹浏览器对Chrome的Web ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXjjElb.html" rel="bookmark" class="title">Windows 8 中如何添加图标到开始屏幕</a>
					<div>
						  1.点击键盘上的 Win 徽标键,出现开始屏幕.参见下图: 2.将鼠标指针移到桌面右下角,出现缩放图标.参加下图: 3.鼠标指针移到缩放图标上后左边框会出现搜索选项.参见下图: 4.点击搜索图标后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1x84b.html" rel="bookmark" class="title">扬天智慧中心如何设置开机不自动启动</a>
					<div>
						  故障现象: 扬天系列主机Portal 5.0应用中的&quot;扬天智慧中心&quot;如何设置开机不自动启动. 解决方案: 1.在扬天智慧中心右上的位置找到如图中的齿轮图标,点击进入; 2.取消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJvrop.html" rel="bookmark" class="title">苹果Mac电脑怎么定时关机&quest;</a>
					<div>
						  用windows系统习惯了,甚至很多命令都从无到有的学会,而如今这个mac系统把自己整的头疼,那么Mac电脑怎么定时关机?下面小编就为大家介绍在OS X上设定定时关机方法,来看看吧! 倘若你正在使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o48Bb.html" rel="bookmark" class="title">hive数据类型和文件格式</a>
					<div>
						Hive支持很多关系型数据库都支持的基本数据类型,还支持少有关系型数据库 的三种集合数据类型. 一个相关的问题是,在文本文件中,这些数据类型是如何展现的,或者说如何描 述文本的存储.相较于 大多数数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3owEWb.html" rel="bookmark" class="title">SAE&plus;Servlet&plus;JSP实现微信公众平台OAuth2&period;0网页授权的使用</a>
					<div>
						本帖最后由 王绪超丶 于 2014-5-23 08:36 编辑 一.微信公众号的申请    略.(本篇为高级接口,连微信公众号都不会申请,那看这个也没用) 二.SAE平台创建应用    其他帖子里有, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrj7VM.html" rel="bookmark" class="title">利用Whatsapp Web服务劫持Whatsapp账户</a>
					<div>
						一.前言 通过实现所有用户间的E2E加密,Whatsapp已经改变了它的形象,从一个令人震惊的安全的通信应用程序到被许多人尊重的应用程序的转变. 二.Whatsapp简介 Whatsapp帐号基于手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn79rAz.html" rel="bookmark" class="title">&lbrack;原创&rsqb;WCF入门级使用教程&lpar;转载请注明出处&rpar;</a>
					<div>
						开发环境:vs2008英文版(SP1) + IIS + Windows2003   整个解决方案有4个项目 01.WCF ---Class Libary项目,用于生成WCF所需的类/接口文件 02.B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7wg4p.html" rel="bookmark" class="title">http-android操作系统调用异常</a>
					<div>
						问题描述 android操作系统调用异常 代码: HttpClient httpClient = new DefaultHttpClient(); HttpPost httpPost = new Ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3VJvz.html" rel="bookmark" class="title">做一个网站一般需要多少费用</a>
					<div>
						一般来说直接问一个网站多少钱是不准确的,一个网站的开发费用往往是由网站的内容决定,要实现的内容越多则需要的费用越多,要实现的内容越少则需要的价格就低.往往你问一个正规的网络公司你做一个网站需要多少费用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRDD6b.html" rel="bookmark" class="title">CSS实现带动画的购物图标</a>
					<div>
						最近CSS动画貌似很受大家欢迎.总所周知,制作网站CSS动画时,不要为了炫酷的效果而制作它,单纯的为了炫酷而做出的css动画没有任何意义.我们要把这些动画,用在一些细节上,一些能真正体验到它价值的地方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYmG0p.html" rel="bookmark" class="title">单击选课下拉按钮时出现错误</a>
					<div>
						问题描述 usingSystem;usingSystem.Data;usingSystem.Data.SqlClient;usingSystem.Configuration;usingSystem.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBygZM.html" rel="bookmark" class="title">C&num;与VB&period;NET代码自动转换插件&lpar;For Visual Studio&rpar;</a>
					<div>
						问题描述 ivanx著于2007-11-2918:56:13附件中的源代码包括一个VisualStudio的插件项目.这个插件可以在tools菜单中添加一个按钮,用于转换Vb.net代码到C#,或者C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rxR3p.html" rel="bookmark" class="title">如何用c&num;编写c&sol;s模式的 电子教室</a>
					<div>
						问题描述 新手.有很多问题.可以不用数据库吗?学生端和教师端是两个程序,那如何同时编写它们?它们如何连接起来?有没有udp广播和文件传输的代码,让我看一看? 解决方案 解决方案二: 不管你是盖厕所还是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNZGGM.html" rel="bookmark" class="title">二级域名登陆的问题</a>
					<div>
						问题描述 最近在做一个系统.场景描述:每个客户有一个二级域名,比如用户user1的二级域名是user1.sina.com,用户user2的二级域名是user2.sina.com程序只有一套(每个客户的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8m7Vp.html" rel="bookmark" class="title">Symbian手机每天销量达30万部远超iPhone</a>
					<div>
						8月7日消息,据国外媒体报道称,Symbian基金会本周表示,今年第二季度Symbian智能手机销量超过2700万部,合每天近30万部,每分钟207部. Symbian手机每月销量为900万部,这意味 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Q7JAp.html" rel="bookmark" class="title">Android学习教程之高仿安卓微信6&period;0（2）&lowbar;Android</a>
					<div>
						本文实例为大家分享了Android仿安卓微信6.0的具体代码,供大家参考,具体内容如下 wechat6Activity.java的代码: package siso.geekworld; import  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8W8jb.html" rel="bookmark" class="title">子网掩码的存储位置</a>
					<div>
						问题描述 请问,子网掩码的信息是保存在每个IP数据报的首部吗?首部貌似没有表示掩码的字段.或者子网掩码是保存在主机路由表中?但是这样如何确定数据报中的目的主机是哪一个呢? 解决方案 解决方案二:子网掩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRd9qGz.html" rel="bookmark" class="title">《软件工艺师：专业、务实、自豪》一3&period;2　维基百科对软件工艺的定义</a>
					<div>
						3.2 维基百科对软件工艺的定义 (软件工艺)&quot;是一种强调软件开发者自身编码技能的软件开发方式.软件开发者发现主流软件业有诸多弊病,如过于关注经济事务而疏于培养开发者的责任心等,于是,他们通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0YlAjp.html" rel="bookmark" class="title">库存管理的知识和技巧</a>
					<div>
						库存管理的知识和技巧 销售人员在处理生意的过程中,必须掌握库存管理的知识和技巧.库存管理有两个方面的内容,一个是1.5倍原则,另一个是存货周转,以下分别阐述. 一.1.5倍原则 1.5倍原则是库存管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqYAwb.html" rel="bookmark" class="title">目前winform嵌入EXCEL实现在线编辑的最好方案是什么？</a>
					<div>
						问题描述 目前winform嵌入EXCEL实现在线编辑的最好方案是什么 解决方案 解决方案二:https://social.msdn.microsoft.com/Forums/windows/en-U ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAQEkeM.html" rel="bookmark" class="title">使用Subversion、Hudson和Eclipse构建持续集成系统的过程</a>
					<div>
						持续集成系统是指持续地编译.测试.检查和部署源代码的系统. Martin Fowler 对持续集成是这样定义的 : 持续集成是一种软件开发实践,团队开发成员经常集成它们的工作,通常每个成员每天可能会发 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.055 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
